Skip to main content
GET
/
v2
/
session
/
apps
/
{appID}
/
config
/
login
/
saml
List SAML connections
curl --request GET \
  --url https://api.prelude.dev/v2/session/apps/{appID}/config/login/saml \
  --header 'Authorization: Bearer <token>'
{
  "connections": [
    {
      "id": "<string>",
      "provider_id": "<string>",
      "name": "<string>",
      "enabled": true,
      "idp": {
        "entity_id": "<string>",
        "sso_url": "<string>",
        "slo_url": "<string>",
        "certificates": [
          "<string>"
        ]
      },
      "sp": {
        "entity_id": "<string>",
        "acs_url": "<string>",
        "slo_url": "<string>",
        "metadata_url": "<string>",
        "signing_certificate": "<string>"
      },
      "behavior": {
        "allow_email_account_merge": true,
        "jit_provisioning": true,
        "enforce_login": true,
        "default_redirect_uri": "<string>",
        "email_domain_allowlist": [
          "<string>"
        ]
      },
      "mapping": {
        "email": "<string>",
        "given_name": "<string>",
        "family_name": "<string>",
        "groups": "<string>",
        "custom": {}
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Response

OK

connections
object[]
required